<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Card Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classCard-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Card Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Card:</div>
<div class="dyncontent">
<div class="center"><img src="classCard__inherit__graph.png" border="0" usemap="#aCard_inherit__map" alt="Inheritance graph"/></div>
<map name="aCard_inherit__map" id="aCard_inherit__map">
<area shape="rect" title=" " alt="" coords="146,80,198,107"/>
<area shape="rect" href="classBanditCard.html" title=" " alt="" coords="62,155,157,181"/>
<area shape="rect" href="classNeutralBullet.html" title=" " alt="" coords="181,155,289,181"/>
<area shape="rect" title=" " alt="" coords="107,5,237,32"/>
<area shape="rect" href="classActionCard.html" title=" " alt="" coords="5,229,99,256"/>
<area shape="rect" href="classBulletCard.html" title=" " alt="" coords="123,229,213,256"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Card:</div>
<div class="dyncontent">
<div class="center"><img src="classCard__coll__graph.png" border="0" usemap="#aCard_coll__map" alt="Collaboration graph"/></div>
<map name="aCard_coll__map" id="aCard_coll__map">
<area shape="rect" title=" " alt="" coords="45,80,97,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a28843c9600a7cf78360792a21e72a8fa"><td class="memItemLeft" align="right" valign="top"><a id="a28843c9600a7cf78360792a21e72a8fa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clicked</b> ()</td></tr>
<tr class="separator:a28843c9600a7cf78360792a21e72a8fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f043cedcc36cc63ea403baeebb96825"><td class="memItemLeft" align="right" valign="top"><a id="a0f043cedcc36cc63ea403baeebb96825"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedCard</b> (<a class="el" href="classCard.html">Card</a> *c)</td></tr>
<tr class="separator:a0f043cedcc36cc63ea403baeebb96825"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab8c2714e9af51a241e6f831d868ccbdf"><td class="memItemLeft" align="right" valign="top"><a id="ab8c2714e9af51a241e6f831d868ccbdf"></a>
virtual <a class="el" href="classCard.html">Card</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>Copy</b> () const =0</td></tr>
<tr class="separator:ab8c2714e9af51a241e6f831d868ccbdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a3492d5ca05d25e41baa9757b582018"><td class="memItemLeft" align="right" valign="top"><a id="a2a3492d5ca05d25e41baa9757b582018"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setFaceUp</b> (bool newFaceUp)</td></tr>
<tr class="separator:a2a3492d5ca05d25e41baa9757b582018"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71a275a58c831ff43aed02c58cb77def"><td class="memItemLeft" align="right" valign="top"><a id="a71a275a58c831ff43aed02c58cb77def"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>faceUp</b> () const</td></tr>
<tr class="separator:a71a275a58c831ff43aed02c58cb77def"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a4e42dd612127ec056ba3619da466bc"><td class="memItemLeft" align="right" valign="top"><a id="a9a4e42dd612127ec056ba3619da466bc"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> () const</td></tr>
<tr class="separator:a9a4e42dd612127ec056ba3619da466bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdd233abd71a6cb64c60ddd83d38d066"><td class="memItemLeft" align="right" valign="top"><a id="afdd233abd71a6cb64c60ddd83d38d066"></a>
virtual CardType&#160;</td><td class="memItemRight" valign="bottom"><b>Type</b> () const =0</td></tr>
<tr class="separator:afdd233abd71a6cb64c60ddd83d38d066"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf37e521ce4fdf70939374c621d28c4c"><td class="memItemLeft" align="right" valign="top"><a id="aaf37e521ce4fdf70939374c621d28c4c"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:aaf37e521ce4fdf70939374c621d28c4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dbb20327a547f072b8259832bd4da4a"><td class="memItemLeft" align="right" valign="top"><a id="a5dbb20327a547f072b8259832bd4da4a"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a5dbb20327a547f072b8259832bd4da4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24b04c8a99f55d212db91c8d3507339a"><td class="memItemLeft" align="right" valign="top"><a id="a24b04c8a99f55d212db91c8d3507339a"></a>
virtual QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a24b04c8a99f55d212db91c8d3507339a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961f5c961d93f439a89b658e96f4c08c"><td class="memItemLeft" align="right" valign="top"><a id="a961f5c961d93f439a89b658e96f4c08c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)=0</td></tr>
<tr class="separator:a961f5c961d93f439a89b658e96f4c08c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a731947ca9a438d2af418586414b3e2c9"><td class="memItemLeft" align="right" valign="top"><a id="a731947ca9a438d2af418586414b3e2c9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>mousePressEvent</b> (QGraphicsSceneMouseEvent *event)</td></tr>
<tr class="separator:a731947ca9a438d2af418586414b3e2c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="card_8h_source.html">card.h</a></li>
<li>src/card.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
